# reHDD

## Useful for:
* checking new drives for the first time
* checking used drives for their next live
* deleting a drive securely via overwriting

## Screenshot 
![alt text](https://git.mosad.xyz/localhorst/reHDD/raw/commit/95828afcc2e417b9cb64a4add98ae9c3c7628e84/doc/screenshot.png "Screenshot")

## Debian Build Notes

* apt-get install ncurses-dev git make g++ 
* clone repo
* make release

## Create Standalone with Debian

Instructions how to create a standalone machine that boots directly to reHDD. This is aimed for production use, like several drives a day shredding.

### Software requirements

* apt-get install hwinfo
* wget http://ftp.de.debian.org/debian/pool/main/s/smartmontools/smartmontools_7.1-1_amd64.deb
* dpkg --install smartmontools_7.1-1_amd64.deb 

### Start reHDD after boot without login (as a tty shell)

nano /etc/systemd/system/reHDD.service
```
[Unit]
Description=Custom user interface on tty1
Conflicts=getty@tty1.service
Before=getty.target

[Service]
WorkingDirectory=/root/reHDD
ExecStart=/root/reHDD/reHDD
StandardInput=tty
StandardOutput=tty
Restart=always
RestartSec=1
UtmpIdentifier=tty1
TTYPath=/dev/tty1
TTYReset=yes
TTYVHangup=yes
TTYVTDisallocate=yes
SendSIGHUP=yes

[Install]
WantedBy=multi-user.target
```

nano /etc/systemd/system/reHDDSettings.service 
```
[Service]
Type=oneshot
RemainAfterExit=yes
ExecStart=/usr/bin/bash /root/reHDDSettings.sh

[Install]
WantedBy=multi-user.target
```

nano /root/reHDDSettings.sh
```
#!/bin/bash
dmesg -n 1 #disable overlay if a drive is attached/detached
rm -f /root/reHDD/reHDD.log
```
Make sure the binary reHDD is in /root/reHDD/
Add your system drive in /root/reHDD/ignoreDrives.conf like:
``` /dev/sdX:e102f49d-5ed5-462b-94c5-ef66a4345671```
Get your UUID via blkid /dev/sdX

systemctl enable reHDD.service

systemctl enable reHDDSettings.service

